//https://www.shadertoy.com/view/tlBGWw
#pragma iChannel0 BufferA
#define SF 1./min(iResolution.x,iResolution.y)

void mainImage( out vec4 fragColor, in vec2 fragCoord )
{
    
    vec2 ouv = fragCoord/iResolution.xy;
    vec2 uv = (fragCoord - .5*iResolution.xy)/iResolution.y;    
        
    vec3 activeCol= texture(iChannel0, ouv).rgb;
    
    float l = length(uv);
    
    float m = 0.;
    
    float i = .1*round(l/.1);
    m += smoothstep(SF*2., 0., abs(i-l));            

    m += smoothstep(SF, 0., abs(SF-uv.x));   
    m += smoothstep(SF, 0., abs(SF-uv.y));    
    
    vec3 col = activeCol + vec3(0, 0.25, 0.) * m;
    col *= step(l, .51);
    
    fragColor = vec4(col, 1.);
}